package com.unis.detectionnum.server.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="com.unis.detectionnum.server.entity.RobotCallDetailList")
public class RobotCallDetailListDO {
    @ApiModelProperty(value="listId主键id")
    private Long listId;

    @ApiModelProperty(value="recordId通话记录id")
    private Long recordId;

    @ApiModelProperty(value="text对话说的具体文字内容")
    private String text;

    @ApiModelProperty(value="type说话者 (PERSON, 人), (ROBOT, 机器人)")
    private String type;

    @ApiModelProperty(value="callDetailId对话详情id对话详情id")
    private Long callDetailId;

    @ApiModelProperty(value="createTime创建时间")
    private Date createTime;

    public Long getListId() {
        return listId;
    }

    public void setListId(Long listId) {
        this.listId = listId;
    }

    public Long getRecordId() {
        return recordId;
    }

    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text == null ? null : text.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public Long getCallDetailId() {
        return callDetailId;
    }

    public void setCallDetailId(Long callDetailId) {
        this.callDetailId = callDetailId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}